Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.tools
Class InstallationDescriptor.ActionInfo

    java.lang.Object
      org.apache.uima.pear.tools.InstallationDescriptor.ActionInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  InstallationDescriptor

    public static class InstallationDescriptor.ActionInfo

extends Object
implements Serializable

The `ActionInfo` class defines 'installation action' attributes.

See Also:
  Serialized Form

Field Summary
`static String` | `FIND_AND_REPLACE_PATH_ACT`
`Properties` | `params`
`static String` | `SET_ENV_VARIABLE_ACT`

Constructor Summary
`protected` | `InstallationDescriptor.ActionInfo(InstallationDescriptor.ActionInfo anAction)`
`` | `InstallationDescriptor.ActionInfo(String name)` Constructor that takes 'action' name as an argument.

Method Summary
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIND_AND_REPLACE_PATH_ACT

    public static final String FIND_AND_REPLACE_PATH_ACT

See Also:
  Constant Field Values

### SET_ENV_VARIABLE_ACT

    public static final String SET_ENV_VARIABLE_ACT

See Also:
  Constant Field Values

### params

    public Properties params

Constructor Detail

### InstallationDescriptor.ActionInfo

    public InstallationDescriptor.ActionInfo(String name)

  Constructor that takes 'action' name as an argument.

  Parameters:
    `name` - The given action name.

### InstallationDescriptor.ActionInfo

    protected InstallationDescriptor.ActionInfo(InstallationDescriptor.ActionInfo anAction)

Method Detail

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.